changeset 17833:e57fa2127ab9

unicase/locale-language-tests: fix LOCALE_FR test * tests/unicase/test-locale-language.sh: Really use $LOCALE_FR for a French locale with traditional encoding. Reported by umerqayam in: http://lists.gnu.org/archive/html/bug-libunistring/2014-12/msg00000.html
author Daiki Ueno <ueno@gnu.org>
date Fri, 12 Dec 2014 09:20:59 +0900
parents e899faba53e0
children e0838da3bfe8
files ChangeLog tests/unicase/test-locale-language.sh
diffstat 2 files changed, 10 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,11 @@
+2014-12-12  Daiki Ueno  <ueno@gnu.org>
+
+	unicase/locale-language-tests: fix LOCALE_FR test
+	* tests/unicase/test-locale-language.sh: Really use $LOCALE_FR for
+	a French locale with traditional encoding.
+	Reported by umerqayam in:
+	http://lists.gnu.org/archive/html/bug-libunistring/2014-12/msg00000.html
+
 2014-12-12  Paul Eggert  <eggert@cs.ucla.edu>
 
 	stddef: support C11's max_align_t
--- a/tests/unicase/test-locale-language.sh
+++ b/tests/unicase/test-locale-language.sh
@@ -3,8 +3,8 @@
 LC_ALL=C                       ./test-locale-language${EXEEXT} '' || exit 1
 
 : ${LOCALE_FR=fr_FR}
-if test $LOCALE_FR_UTF8 != none; then
-  LC_ALL=$LOCALE_FR_UTF8       ./test-locale-language${EXEEXT} fr || exit 1
+if test $LOCALE_FR != none; then
+  LC_ALL=$LOCALE_FR            ./test-locale-language${EXEEXT} fr || exit 1
 fi
 
 : ${LOCALE_FR_UTF8=fr_FR.UTF-8}